// Written by Victor Hélaine 22/01/2015
// helaine@lpsc.in2p3.fr
// STEREO DAQ Parameters class
///////////////////////////////////////

#ifndef STDAQParams_h
#define STDAQParams_h

#include <vector>

struct STFEParams{
  // CFD parameters
  std::vector<unsigned short> CFDThreshold_v;
  unsigned short CFDDelay;
  unsigned short CFDFrac;
  // Frame parameter
  unsigned short pretrig;
  unsigned short nTot;
  unsigned short nTail;
  // DAQ parameters
  std::vector<unsigned short> threshold_v; // Size: nChannels/nFE
  unsigned short sumThreshold;
  unsigned short trigMask;
  std::vector<unsigned short> gain_v; // Size: nChannels/nFE
};

typedef struct STDAQParams STDAQParams;
struct STDAQParams{
  std::vector<bool>           isFEBoard_v;    // Is Fe board in slot. Size: 10 slots
  std::vector<STFEParams>     FEParams_v;     // Size: nFE
  // Frame parameters
  unsigned short nSamples;                    // number of 4 ns samples
  // DAQ parameters
  int DAQMode;                                // DAQ mode: 0: normal, 1: debug -> for the while
  int TRIGMode;
  unsigned short ReqCoinc;                    // Required coincidences
  // Led
  int ledUsed;
  int ledPeriod;
  int ledType;
  int ledBox;
  std::vector<int> ledDAC;                   // DAC for each led    Size: 30
};
#endif
