/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef STEREOELECSTATE_H
#define STEREOELECSTATE_H

#include <Driver.h>
#include "StereoElecDriver.h"

namespace stereo_elec {

/*!
 * \class StereoElecState
 * \brief Implements State pattern
 */
class StereoElecState: public DriverState<StereoElecDriver> {

public:

	/*!
	 * \brief Constructor.
	 */
	StereoElecState(StereoElecDriver* owner) :
		DriverState<StereoElecDriver> (owner) {
	}

	/*!
	 * \brief Destructor.
	 */
	virtual ~StereoElecState() {
	}

	/*!
	 * \brief Init
	 */
	virtual void init() = 0;



};

}

#endif //STEREOELECSTATE_H
